﻿using UnityEngine;

namespace R0bbie.VRSubtitles
{
    /// <summary>
    /// Defines how a character's subtitles should be displayed
    /// </summary>
    [CreateAssetMenu(fileName = "CharacterSubtitleData_RENAME", menuName = "VR Subtitles/Character Subtitle Data")]
    public class CharacterSubtitleData : ScriptableObject
    {
        public string subtitleDisplayName;
        public Sprite avatar;
        public Color textNameColour;
        
        public float subtitlePositionOffset;
        
        // TODO: Allow a fixed arrow direction override here?
    }
}